%define name	mdvsys
%define version	2.2.0
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Interface to Mandriva build system
License:	GPL
Group:		Development/Perl
Source0:	%{name}-%{version}.tar.gz
Patch0:		mdvsys-2.2.0-rpm5-port.patch
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/%{name}
BuildRequires: subversion-tools
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(IO::String)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(RPM)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Youri::Package::RPM::Updater)
BuildRequires: perl(Youri::Package::RPM::Builder)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl-version
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod)
Requires: perl(Youri::Package::RPM::Updater)
Requires: perl(Youri::Package::RPM::Builder)
Requires: perl(HTML::TableExtract)
Requires: perl(IO::String)
# (tv) lazy loaded (thus runtime error):
Requires: perl(Net::LDAP)
Obsoletes: perl-MDV-Repsys
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is an interface to Mandriva build system.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%check
# skip check suite when building on rpm 4, as some parts of it depends on
# rpm 5.3 to be installed
[ "`rpm --version|sed -e  's/^.* \([0-9]\+\).*/\1/'`" != 4 ] && \
%make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README
%{_sysconfdir}/bash_completion.d/mdvsys
%config(noreplace) %{_sysconfdir}/mdvsys.conf
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/mdvsys


%changelog
* Fri Dec 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.2.0-2mdv2011.0
+ Revision: 606979
- skip tests when building with rpm 4.x
- port to rpm5 perl bindings

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
    - mdvsys doesn't need repsys (again)
    - new version
    - renaming
    - we don't need repsys, we just need a working configuration
    - ensure bash completion file installation
    - renaming
    - new version
    - yet another dependancy fix
    - new version
    - new version
    - new version
    - new version
    - new version
      drop useless test dependencies
    - new version

  + Thierry Vignaud <tv@mandriva.org>
    - require repsys (else dynamic failure about missing /etc/repsys.conf
    - fix build (adjusting file list)
    - require perl-ldap (thus fixing runtime error when lazy loading Net::LDAP)
    - rebuild early 2009.0 package (before pixel changes)
    - kill re-definition of %%buildroot on Pixel's request
    - rebuild for lzma permissions

  + Michael Scherer <misc@mandriva.org>
    - fix missing Deps, as pointed by reinouts on irc

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix deps
    - fix deps

  + Olivier Blin <oblin@mandriva.com>
    - explicitely require Youri::Package::RPM::Updater and Youri::Package::RPM::Builder (not automatically caught by perl.req)
    - restore BuildRoot

